<?php

\set_time_limit(0);
include __DIR__ . '/common.php';
use Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\d3507c2999d38573a0a0c91771d70af2;
use Ministra\Lib\KaraokeMaster;
use Ministra\Lib\VideoMaster;
$updated_video = 0;
$updated_karaoke = 0;
$not_custom_video = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\d3507c2999d38573a0a0c91771d70af2::getInstance()->from('video')->where(['protocol!=' => 'custom'])->get();
while ($video = $not_custom_video->next()) {
    $master = new \Ministra\Lib\VideoMaster();
    $master->getAllGoodStoragesForMediaFromNet($video['id'], 0, \true);
    unset($master);
    ++$updated_video;
}
$not_custom_karaoke = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\d3507c2999d38573a0a0c91771d70af2::getInstance()->from('karaoke')->where(['protocol!=' => 'custom'])->get();
while ($karaoke = $not_custom_karaoke->next()) {
    $master = new \Ministra\Lib\KaraokeMaster();
    $master->getAllGoodStoragesForMediaFromNet($karaoke['id'], 0);
    unset($master);
    ++$updated_karaoke;
}
echo 1;
